<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_d9040256bf" . "f96ad2c221f" . "79439e0560c" => base64_decode("Q2xlYXJpbmcgZGlyZW" . "N0b3J5IA=="), "_8fd6da143a742433037d3741c26c" . "9f14" => base64_decode("Q2xlYXJpbmcgbG9jYWwgYXN" . "zZXRzIGNhY2hl"), "_282505db60b6a60f1a0c5" . "4a0f8c27092" => base64_decode("VEVNUExBVE" . "VSX0NBQ0hF" . "X0RJUg=="), "_3d13c2fddaab71a09eeaf22" . "607f1db0f" => base64_decode("Q2xlYXJpbmcgYWxsIHNoYXJl" . "ZCBjYWNoZXM="), "_edd716f0" . "baedc2427" . "c121be529" . "bf222d" => base64_decode("Q2xlYXJpbmcgYWx" . "sIGxvY2FsIGNhY2" . "hlcw=="), "_4d707fab93bebb00bbe69e8159697c" . "90" => base64_decode(""), "_2935eb81473a5cdf164ba52dc3" . "1d305c" => base64_decode("Q2xlYXJpbmcgbWVtb3J" . "5IGNhY2hlcw=="), "_db98357e662ee4057f89ee50fd63a2c" . "5" => base64_decode("Q2xlYXJpbmcgc2hhcmVkIGFzc2V0cyBjYWNoZ" . "Q=="), "_8fec21706bd243b37" . "ecf62b1caf8fb8a" => base64_decode("Y2x" . "p"), "_8368ecd0faa75c04b4e5" . "4eac3bd45d63" => base64_decode("Q2xlYXJpbmcgbG9jY" . "WxpemF0aW9uIGNhY2" . "hl"), "_2ac6cb43" . "2a5df959e" . "fdffbcd28" . "8d0745" => base64_decode("Q2xlYXJpbmcgdGVtcG" . "xhdGVyIGNhY2hl"), "_db7b295629faa" . "16027a2c263095" . "eba70" => base64_decode("cGhwX3Nh" . "cGlfbmFt" . "ZQ=="), "_f02edf6730" . "5f5d984784e" . "5a63acb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNhY2hlcyAocnVubmluZyBmcm9tIHRoZSBjb21tYW5kI" . "GxpbmUp"), "_22ac6aae2762e0f310c49538" . "4c477dc8" => base64_decode("LmdpdGtlZXA" . "="));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_282505db60b6a60f1a0c54a0f8c2709" . "2"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_edd716f0baedc2427c12" . "1be529bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_db7b295629faa16027a2" . "c263095eba70"]() !== $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8fec21706bd243b37ecf6" . "2b1caf8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_f02edf67305f5d984784e5a63acb5f" . "0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_3d13c2fddaab" . "71a09eeaf2260" . "7f1db0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_8368ecd0faa75c04b4e54" . "eac3bd45d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8fd6da14" . "3a7424330" . "37d3741c2" . "6c9f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_db98357e662ee4057" . "f89ee50fd63a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_2935eb81473a" . "5cdf164ba52dc" . "31d305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_4d707fab93bebb00bbe69" . "e8159697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69" . "e8159697c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_2ac6cb43" . "2a5df959e" . "fdffbcd28" . "8d0745"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_d9040256bff96ad2c2" . "21f79439e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_22ac6aae2762e0f310c495384c477d" . "c8"]);
    }
}